MAKEDEV(3)

NAME
makedev, major, minor - device number conversion

SYNOPSIS
#include <sys/types.h>
dev_t
makedev(int major, int minor);
int
major(dev_t dev);
int
minor(dev_t dev);

DESCRIPTION
The makedev() macro allows a unique device number to be generated based on its major and minor number. The major() and minor() macros can be used to obtain the original numbers from the device number dev.

All block and character devices are uniquely identified by a pair of major and minor numbers. The major number refers to a certain device class (e.g. disks, TTYs) while the minor number identifies an instance within the device class.

RETURN VALUES
The major() macro returns a device major number that has a value between 0 and 255. The minor() macro returns a device minor number whose value can span the complete range of an int.

SEE ALSO
mknod(2), devname(3), MAKEDEV(8)